<?php
/*
Plugin Name: NS Custom add to cart button
Plugin URI: https://wordpress.org/plugins/ns-custom-add-to-cart-button-for-woocoomerce/
Description: This plugin allow to change the label of button Add to Cart
Version: 1.0.6
Author: NsThemes
Author URI: http://www.nsthemes.com
License: GNU General Public License v2.0
License URI: http://www.gnu.org/licenses/gpl-2.0.html
 */


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


if ( ! defined( 'ADDCART_NS_PLUGIN_DIR' ) )
    define( 'ADDCART_NS_PLUGIN_DIR', untrailingslashit( dirname( __FILE__ ) ) );

if ( ! defined( 'ADDCART_NS_PLUGIN_DIR_URL' ) )
    define( 'ADDCART_NS_PLUGIN_DIR_URL', plugin_dir_url( __FILE__ ) );



/* *** plugin options *** */
require_once( ADDCART_NS_PLUGIN_DIR.'/ns-change-addcart-option.php');

require_once( untrailingslashit( dirname( __FILE__ ) ).'/ns-admin-options/ns-admin-options-setup.php');


//funtion to get text for AddToCart button  
function ns_write_change_addcart(){ 
	   
	  if(get_option('ns_change_addcart', '') == '') return 'Add To Cart'; //default value if is empty
	  return get_option('ns_change_addcart', '');
	}

add_filter( 'woocommerce_product_add_to_cart_text', 'woo_archive_custom_cart_button_text' );    // filter change all product button label
 
function woo_archive_custom_cart_button_text() {
        return __( ns_write_change_addcart(), 'woocommerce' );
		}
		
add_filter( 'woocommerce_product_single_add_to_cart_text', 'woo_custom_cart_button_text' );    //  filter change single page product button label
  
function woo_custom_cart_button_text() {
 		return __( ns_write_change_addcart(), 'woocommerce' );
		}

?>